Bug 23650 - [noapic?] Fails to find the cpqarray; tree is qa0109.0
[noapic?] Fails to find the cpqarray; tree is qa0109.0
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence Gold
: 23762 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-01-09 08:09 EST by David Lawrence
Modified: 2007-03-26 23:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-23 16:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-01-09 08:09:40 EST
A compaq DL380 rackmount server with a CPQArray raid controller, can not be
installed as
the installer fails to find any usable disks.  7.0 installs fine.
Comment 1 Michael Fulbright 2001-01-09 16:21:57 EST
Assigning to a developer.
Comment 2 Glen Foster 2001-01-11 16:12:27 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Matt Wilson 2001-01-19 00:06:10 EST
changing whiteboard to match comment that this is a Gold milestone bug.
Comment 4 Matt Wilson 2001-01-19 00:41:59 EST
*** Bug 23762 has been marked as a duplicate of this bug. ***
Comment 5 Derek Tattersall 2001-01-19 15:02:04 EST
Using the qa0119.1 tree, the CPQArray module is inserted, but no vaild devices
are found.
Comment 6 Michael Fulbright 2001-02-08 11:55:06 EST
*** Bug 26649 has been marked as a duplicate of this bug. ***
Comment 7 Matt Wilson 2001-03-01 13:51:51 EST
qa0227.0 - installation succeeds.  Reboot with SMP kernel causes a hang. 
Booting into UP kernel works.
Comment 8 Matt Wilson 2001-03-05 11:35:39 EST
kernel bug - noapic should work around it.
Comment 9 Bryan Leopard 2001-03-22 19:16:07 EST
This information was already forwarded to RedHat.  Just wanted to update 

I think weve found the problem thats breaking SMP/APIC support on ServerWorks 
It appears that when the 2.4.0 kernel was released (on Jan. 4), that an old 
version of drivers/ide/osb4.c crept back in.  Whenever we build a kernel with 
this suspect version enabled, it breaks SMP APIC interrupts.
If you do a diff of osb4.c from 2.4.0-prerelease and 2.4.0, youll find a ton 
of changes.  Our guess is that its one of these changes (probably chipset 
initialization) thats breaking APIC support with SMP kernels.

Here is some more information from our developers.

The below fix works!

I see 2 basic ways for this bug to be fixed:

1) Make sure that the


line in the kernel .config file is NOT set, or

2) Replace the osb4.c file with the osb4.c file from the 2.4.0-prerelease 
source tree.
  (this is probably a better solution)
Comment 10 Bob Matthews 2001-03-23 16:19:29 EST
CONFIG_BLK_DEV_OSB4 is turned off in all kernel config files.
Comment 11 Bob Matthews 2001-03-23 16:39:05 EST
Waiting for Compaq to officially confirm fix.
Comment 12 Arjan van de Ven 2001-03-27 11:54:15 EST
Kernels 2.4.2-0.1.35 and later contain the fix for the noapic problem

Note You need to log in before you can comment on or make changes to this bug.